From 16af50deed8dfc8aa0fd24b816983d2677393c32 Mon Sep 17 00:00:00 2001
From: Slaven Rezic <cpansand@cvrsnica-freebsd-101.herceg.de>
Date: Sun, 20 Mar 2016 14:44:48 +0100
Subject: [PATCH] std::tr1 -> std (RT #113199)

---
 src/dynamic.cpp    | 4 ++--
 src/dynamic.h      | 8 ++++----
 src/mapper.h       | 2 +-
 src/sourcetree.cpp | 1 -
 src/sourcetree.h   | 2 +-
 5 files changed, 8 insertions(+), 9 deletions(-)

diff --git a/src/dynamic.cpp b/src/dynamic.cpp
index 10edc15..0bdd72d 100644
--- a/src/dynamic.cpp
+++ b/src/dynamic.cpp
@@ -160,7 +160,7 @@ void Dynamic::map_message(pTHX_ const string &message, const string &perl_packag
 }
 
 void Dynamic::map_package(pTHX_ const string &pb_package, const string &perl_package_prefix, const MappingOptions &options) {
-    for (std::tr1::unordered_set<const FileDescriptor *>::iterator it = files.begin(), en = files.end(); it != en; ++it) {
+    for (std::unordered_set<const FileDescriptor *>::iterator it = files.begin(), en = files.end(); it != en; ++it) {
         const FileDescriptor *file = *it;
 
         if (pb_package != file->package())
@@ -345,7 +345,7 @@ void Dynamic::resolve_references() {
 }
 
 const Mapper *Dynamic::find_mapper(const MessageDef *message_def) const {
-    std::tr1::unordered_map<string, const Mapper *>::const_iterator item = descriptor_map.find(message_def->full_name());
+    std::unordered_map<string, const Mapper *>::const_iterator item = descriptor_map.find(message_def->full_name());
 
     if (item == descriptor_map.end())
         croak("Unknown type '%s'", message_def->full_name());
diff --git a/src/dynamic.h b/src/dynamic.h
index f2df70a..da1f059 100644
--- a/src/dynamic.h
+++ b/src/dynamic.h
@@ -70,10 +70,10 @@ private:
     MemorySourceTree memory_source_tree;
     upb::googlepb::DefBuilder def_builder;
     CollectErrors die_on_error;
-    std::tr1::unordered_map<std::string, const Mapper *> descriptor_map;
-    std::tr1::unordered_set<std::string> used_packages;
-    std::tr1::unordered_set<std::string> mapped_enums;
-    std::tr1::unordered_set<const google::protobuf::FileDescriptor *> files;
+    std::unordered_map<std::string, const Mapper *> descriptor_map;
+    std::unordered_set<std::string> used_packages;
+    std::unordered_set<std::string> mapped_enums;
+    std::unordered_set<const google::protobuf::FileDescriptor *> files;
     std::vector<Mapper *> pending;
 };
 
diff --git a/src/mapper.h b/src/mapper.h
index b2a5cd6..5a2da6a 100644
--- a/src/mapper.h
+++ b/src/mapper.h
@@ -46,7 +46,7 @@ public:
         U32 name_hash;
         bool has_default;
         const Mapper *mapper; // for Message/Group fields
-        std::tr1::unordered_set<int32_t> enum_values;
+        std::unordered_set<int32_t> enum_values;
         int oneof_index;
 
         std::string full_name() const;
diff --git a/src/sourcetree.cpp b/src/sourcetree.cpp
index 9a03be7..3be3118 100644
--- a/src/sourcetree.cpp
+++ b/src/sourcetree.cpp
@@ -4,7 +4,6 @@
 
 using namespace gpd;
 using namespace std;
-using namespace std::tr1;
 using namespace google::protobuf;
 using namespace google::protobuf::io;
 using namespace google::protobuf::compiler;
diff --git a/src/sourcetree.h b/src/sourcetree.h
index e9872c9..4db2b4c 100644
--- a/src/sourcetree.h
+++ b/src/sourcetree.h
@@ -29,7 +29,7 @@ public:
     virtual google::protobuf::io::ZeroCopyInputStream *Open(const std::string &filename);
 
 private:
-    std::tr1::unordered_map<std::string, std::string> sources;
+    std::unordered_map<std::string, std::string> sources;
 };
 
 }
-- 
2.1.2

